import Project from "./project";
export interface TemplateDependencies {
    path: string;
    hasComponentHelper: boolean;
    components: Set<string>;
    helpers: Set<string>;
}
export declare function discoverTemplateDependencies(templateName: string, project: Project): TemplateDependencies;
export declare function discoverRecursiveTemplateDependencies(templateName: string, project: Project): TemplateDependencies;
