import Project, { ResolutionMap } from './project';
declare class Analyzer {
    project: Project;
    constructor(projectDir: string);
    dependenciesForTemplate(componentName: string): TemplateDependencies;
    recursiveDependenciesForTemplate(componentName: string): TemplateDependencies;
    resolutionMapForEntryPoint(templateName: string, map?: ResolutionMap): ResolutionMap;
}
export interface TemplateDependencies {
    path: string;
    hasComponentHelper: boolean;
    components: string[];
    helpers: string[];
}
export default Analyzer;
export { Project };
